﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.IO;
using System.Diagnostics;

namespace FolderBrowserTest
{
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void btnFolder_Click(object sender, RoutedEventArgs e)
		{
			var form = new emanual.Wpf.Controls.FolderWithCheckBoxDialog();
			form.ParentWindow = this;
			form.SelectedPath = @"c:\";

			if (form.ShowDialog() == true)
			{
				lstFolderName.Items.Clear();

				foreach (string item in form.SelectedPathList)
				{
					lstFolderName.Items.Add(item);
				}
			}
		}

	} // end of MainWindow class
} // end of namespace
